atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper The ATK interface provided by UI components which occupy a physical area on the screen.

The ATK interface provided by UI components which occupy a physical area on the screen.

This should be implemented by most if not all UI elements with an actual on-screen presence, i.e. components which can be said to have a screen-coordinate bounding box. Virtually all widgets will need to have implementations provided for their corresponding class. In short, only UI elements which are* not* GUI elements will omit this ATK interface.

A possible exception might be textual information with a transparent background, in which case text glyph bounding box information is provided by .

- Method
  2.12.0.0
  System.UInt32 `` The to be attached to this component. Add the specified handler to the set of functions to be called when this object receives focus events (in or out). A handler id which can be used in or zero if the handler was already added.

  Add the specified handler to the set of functions to be called when this object receives focus events (in or out).

  If the handler is already added it is not added again.

- Property
  2.12.0.0
  System.Double To be added. To be added. To be added.
- Event
  2.12.0.0
  Atk.BoundsChangedHandler To be added To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` X coordinate Y coordinate Specifies whether the coordinates are relative to the screen or to the components top level window. Checks whether the specified point is within the extent of this component. or indicating whether the specified point is within the extent of the component or not.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` X coordinate position Y coordinate position Width Height Specifies whether the coordinates are relative to the screen or to the components top level window. Gets the rectangle which gives the extent of this component.
- Method
  2.12.0.0
  System.Void `` `` `` X coordinate position Y coordinate position Specifies whether the coordinates are relative to the screen or to the components top level window. Gets the position of component in the form of a point specifying this component's top-left corner.
- Method
  2.12.0.0
  System.Void `` `` Width Height Gets the size of this component in terms of width and height.
- Method
  2.12.0.0
  System.Boolean Grabs focus for this component if successful, otherwise.
- Property
  2.12.0.0
  Atk.Layer Gets the layer of this component. An which is the layer of the component.
- Property
  2.12.0.0
  System.Int32 Gets the Z order of the component. The value G_MININT will be returned if the layer of the component is not ATK_LAYER_MDI or ATK_LAYER_WINDOW.
- Method
  2.12.0.0
  Atk.Object `` `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'Atk.CoordType' To be added To be added: an object of type 'Atk.Object' To be added
- Method
  2.12.0.0
  System.Void `` The handler id of the focus handler to be removed from component. Remove the handler from the list of functions to be executed when this object receives focus events (in or out).
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` X coordinate. Y coordinate. Width to set for this component. Height to set for this component. Specifies whether the coordinates are relative to the screen or to the components top level window. Sets the extents of this component. or whether the extents were set or not.
- Method
  2.12.0.0
  System.Boolean `` `` `` X coordinate. Y coordinate. Specifies whether the coordinates are relative to the screen or to the components top level window. Sets the postition of this component. or whether or not the position was set or not.
- Method
  2.12.0.0
  System.Boolean `` `` Width to set for this component. Height to set for this component. Set the size of this component in terms of width and height. or whether the size was set or not.